> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/ribbon-menu-bar/file/export.md).

# Export

Use ***File*** – ***Export*** to export vaults from Remote Desktop Manager.

{% hint style="info" %}
The export feature is only active if the ***Import*** and ***Export privileges*** have been enabled inside the ***User management*** account.
{% endhint %}

{% hint style="success" %}
The only appropriate formats to import vaults back into Remote Desktop Manager are the `.rdm` and `.rdx` format.
{% endhint %}

### Settings

{% hint style="info" %}
When using a [Devolutions Server or Devolutions Cloud workspace](https://docs.devolutions.net/rdm/workspaces/workspace-types/native-workspaces/), export capabilities can be disabled via security policies at the workspace level (no one can export) or at a user level (particular users cannot export).
{% endhint %}

{% tabs %}
{% tab title="Windows" %}

#### Export vault (.rdm)

Export a vault in a `.rdm` file that can be imported into any Remote Desktop Manager workspace. You can also include credentials in this export format and secure your file with a master key.

{% hint style="info" %}
By default the credentials are NOT included. It is critical to check the ***Credentials*** option for the exported data to include the credentials.
{% endhint %}

{% hint style="danger" %}
Specifying a ***Master key*** will encrypt the whole content of the .rdm file to protect its content. It is highly recommended as a backup measure, but the key is absolutely necessary for decryption. Preserve this as well in a separate storage device for safekeeping.
{% endhint %}

#### Export vault (.json)

Export a vault in a `.json` file format. You can also include credentials in this export format and secure your file with a master key.

#### Export all host list (.csv)

Export a simple host list in `.csv` format. You will be prompted to see if you wish the export to be slightly more detailed and include the following information: ***Host***, ***Description***, ***Display name***, ***Group***, ***User groups***.

#### Export vault (.csv)

Export the vault using the `.csv` format file. For security reasons the .csv file will be contained within a password encrypted `.zip` file. This type of security can be hacked using brute force attacks, it should be used only when the `.zip` file is under your exclusive control.

{% hint style="info" %}
The csv columns will vary depending on entry types being exported. This makes it the wrong format if ever you want to import the data back in Remote Desktop Manager. Use this only to migrate to another system.Also, be aware that Windows File Explorer does not support extracting encrypted `.zip` files and that another tool is needed.
{% endhint %}

#### Export vault (.html)

Export the vault with an AES-256 to encrypt self contained `.htm`l file. See [Export HTLM encrypted](https://docs.devolutions.net/rdm/commands/file/export/html-encrypted/) for more information.

#### Export vault (.xml)

Because it brought confusion to our user base, this export format has been converted to perform the exact same export as the ***Export vault*** but sets the file extension to `.xml` instead.

#### Export all documents

Export all attachments or all document entries that are linked to your workspace.

#### Export "my personal credentials" (.rdm)

Export your ***My Personal Credentials*** in a .rdm file and encrypt with a ***Master key***.

{% hint style="danger" %}
A ***Master key*** will encrypt the `.rdm` file to protect its content. The key is absolutely necessary for decryption.
{% endhint %}
{% endtab %}

{% tab title="macOS" %}

#### Export all entries (.rdm)

Export all entries in a `.rdm` file that can be imported into any Remote Desktop Manager macOS workspace. You can also include the credentials in this export format and secure your file with a master key.

{% hint style="info" %}
By default the credentials are NOT included. It is critical to check the Credentials option for the exported data to include the credentials.
{% endhint %}

{% hint style="danger" %}
By default the credentials are NOT included. It is critical to check the Credentials option for the exported data to include the credentials.
{% endhint %}

#### Export selection (.rdm)

Export the selected session in a `.rdm` file that can be imported into any Remote Desktop Manager macOS workspace. You can also include the credentials in this export format and secure your file with a master key.

#### Export entry as Remote desktop file (.rdp)

Export the selected entry in a `.rdp` file to easily use it outside Remote Desktop Manager macOS.

#### Export special (.csv)

Export entries using the .csv format file. For security reasons the `.csv` file will be contained within a password encrypted zip file. This type of security can be hacked using brute force attacks, it should be used only when the zip file is under your exclusive control.

{% hint style="info" %}
Please note that the csv columns will vary depending on entry types being exported. This makes it the wrong format if ever you want to import the data back in Remote Desktop Manager. Use this only to migrate to another system.
{% endhint %}

#### Export special (.html)

Export all entries within a AES-256 to encrypt self contained `.html` file. See [Export Html Encrypted](https://docs.devolutions.net/rdm/commands/file/export/html-encrypted/) for more information.

#### Export special (.xml)

Because it brought confusion to our user base, this export format has been converted to perform the exact same export as the “Export all entries“ but sets the file extension to `.xml` instead.
{% endtab %}
{% endtabs %}

#### See also

* [Migrate your vaults to another workspace](https://academy.devolutions.net/student/page/2750575-migrate-your-vaults-to-another-data-source?curriculum_activity_id=4146029\&path_id=2628397\&sid=b84b4eaf-eb28-4385-859a-62a892130da8\&sid_i=0)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devolutions.net/rdm/ribbon-menu-bar/file/export.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
